Patch file metadata
Updates file metadata without re-uploading the file. Only provided fields are updated.
PATCH
/api/v1/{app_id}/files/{file_id}Authorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredUUID of the app
file_idstringrequiredUUID of the file
Request body
requiredapplication/jsonFields to update
custom_fieldsobjectorder_referencestringorganisation_numberstringrelationship_idsstring[]Responses
200
OK
app_idstringcontent_typestringcreated_atstringcustom_fieldsobjectfilenamestringidstringupdated_atstringurlstring400
Invalid request
detailsstring[] | nullmessagestringsuccessboolean404
File not found
detailsstring[] | nullmessagestringsuccessboolean500
Internal server error
detailsstring[] | nullmessagestringsuccessboolean